<?php

function pega_plano($idvenda){

   include "conexao.php";

   $query = "SELECT plano_pagamento FROM venda WHERE idvenda = '$idvenda'";

   $executa = mysqli_query($db, $query);

   $buscar_amigo = mysqli_fetch_assoc($executa);

   $dado = $buscar_amigo['plano_pagamento'];

   return $dado;


}

function aplica_indice($idvenda,$indice_aplic){
    include "conexao.php";

    

    $query = "UPDATE venda SET indice_aplic = '$indice_aplic' WHERE idvenda = '$idvenda'";
    echo $query . "<br>";
    $executa = mysqli_query($db,$query);


        $msg = "<br>APLICADO COM SUCESSO !!!";
        return $msg;
   

}



include "conexao.php";

$query = "SELECT idvenda, plano_pagamento FROM venda where status_venda = 3";

$executa = mysqli_query($db,$query);

while($buscar_amigo = mysqli_fetch_assoc($executa)){

    $idvenda = $buscar_amigo['idvenda'];
    $plano = (int)  $buscar_amigo['plano_pagamento'];


    if($plano >= 101 ){

       $indice_aplic = 1;
       echo "EXECUTANDO CONTRATO .: " . $idvenda . "<br> PLANO DE PAGAMENTO .: " . $plano . " <br><br>";
       $excuta_indice = aplica_indice($idvenda,$indice_aplic);

      }else if($plano >= 37 && $plano  < 101) {
       $indice_aplic = 2;
       echo "EXECUTANDO CONTRATO .: " . $idvenda . "<br> PLANO DE PAGAMENTO .: " . $plano . " <br><br>";
       $excuta_indice = aplica_indice($idvenda,$indice_aplic);


  }else if($plano <= 36){
       $indice_aplic = 0;
       echo "EXECUTANDO CONTRATO .: " . $idvenda . "<br> PLANO DE PAGAMENTO .: " . $plano . " <br><br>";
       $excuta_indice = aplica_indice($idvenda,$indice_aplic);

  }

}





















?>